/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.bank;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;
import org.jboss.logging.Logger;

/**
 * Comment
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version $Revision: 1.1.2.2 $
 */
public class TellerInterceptor implements Interceptor, java.io.Serializable
{
   private static final Logger log = Logger.getLogger(TellerInterceptor.class);
   
   public static boolean accessed = false;
   
   public TellerInterceptor()
   {
   }

   public String getName()
   {
      return "TellerInterceptor";
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      try 
      {
         return invocation.invokeNext();
      } 
      finally
      {
         accessed = true;
      }
   }
}
